function func_value = get_objfunc(x);

% function added to Tolson DDS codes in 2014 to enable easier calls to 
% m-file based objective functions residing in directory location different
% than DDS code.

global Modeldir; % simulation model directory if used (DDS program input)
global objfunc_name; % function name that returns the objective function value
global exe_name; % name of exe or bat file IF one is used to evaluate obj function

main_dir=pwd; %%%

if strcmp(Modeldir,main_dir)==1  
    func_value = feval(objfunc_name,x); 
else
    if isempty(exe_name) % no .exe or .bat used
        % switch to obj function directory:
        cd(Modeldir); % works in Matlab prompt and compiled
        func_value = feval(objfunc_name,x);
        % switch back to opt code dir (Matlab):
        cd(main_dir)
    else
        % ext_function.m will be called.  Let it do the directory switching
        func_value = feval(objfunc_name,x);
    end
end

% for quick objective functions (i.e. test functions), note that 10,000 x 2
% cdhange directory commands (cd) substantially increases runtime.  On my
% laptop increase in runtime was 17 seconds for 1 optimization trial using
% 10,000 obj function evaluations.
% As such, it is better for very fast obj functions to move the evaluation
% code(s) into the same folder as DDS.